/** 
 * Copyright 2010 Daniel Guermeur and Amy Unruh
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 *
 *   See http://connectrapp.appspot.com/ for a demo, and links to more information 
 *   about this app and the book that it accompanies.
 */
package com.vectalis.myb2t;

import java.io.File;
import javax.persistence.*;

public final class EMF {
	
	///clean the inner-memory database
	static {
		new File("demo.odb").delete();
		new File("demo.odb$").delete();
	}
	
	private static final EntityManagerFactory emf = Persistence.createEntityManagerFactory("demo.odb");
	private static final PersistenceUtil util = Persistence.getPersistenceUtil();
	private static final PersistenceUnitUtil unitUtil = emf.getPersistenceUnitUtil();
	
    public static EntityManagerFactory get() 
    {
        return emf;
    }
    
    public static PersistenceUtil util() 
    {
        return util;
    }
    
    public static PersistenceUnitUtil unitUtil() 
    {
        return unitUtil;
    }
    
//    @SuppressWarnings("rawtypes")
//    public static java.lang.Class[] getClasses() {
//      return classes;
//    }
//    
//    public static PersistenceManager getNonTxnPm() {
//      PersistenceManager pm = pmfInstance.getPersistenceManager();
//      pm.addInstanceLifecycleListener(new CacheMgmtLifecycleListener(), classes);
//      return pm;
//    }
//    
//    public static PersistenceManager getTxnPm() {
//      PersistenceManager pm = pmfInstance.getPersistenceManager();
//      pm.addInstanceLifecycleListener(new CacheMgmtTxnLifecycleListener(), classes);
//      return pm;
//    }
}
